> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule Call

> Schedules a call at the earliest opportunity within the dialer window. May occur immediately or on the next business day depending on settings. Requires the auto dialer to be enabled.



## OpenAPI

````yaml openapi.json POST /v1/schedule-call
openapi: 3.0.3
info:
  title: telli API
  version: 1.0.0
  description: API documentation for telli's V1 endpoints
servers:
  - url: https://api.telli.com
security:
  - apiKey: []
paths:
  /v1/schedule-call:
    post:
      summary: Schedule Call
      description: >-
        Schedules a call at the earliest opportunity within the dialer window.
        May occur immediately or on the next business day depending on settings.
        Requires the auto dialer to be enabled.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - contact_id
                - agent_id
              properties:
                contact_id:
                  type: string
                  format: uuid
                  description: telli contact ID of the contact to schedule a call with
                agent_id:
                  type: string
                  description: Agent ID to use for the call
                max_retry_days:
                  type: number
                  description: >-
                    Optional number of days to retry the call. Defaults to the
                    account's max retry days
                override_from_number:
                  type: string
                  description: >-
                    Optional phone number to use as the caller ID. Must be a
                    valid E.164 number that belongs to the account
                schedule:
                  type: object
                  nullable: true
                  properties:
                    at:
                      type: string
                      format: date-time
                      description: >-
                        ISO 8601 timestamp in UTC to schedule the call at a
                        specific time. Must be in the future (up to 90 days)
                      example: '2024-01-01T10:00:00.000Z'
                    ignore_dialing_window:
                      type: boolean
                      example: false
                      default: false
                      description: >-
                        Optional flag to bypass dialing window restrictions for
                        the scheduled call. When true, calls at the scheduled
                        time regardless of dialing windows. When false or
                        omitted, respects dialing windows
                  required:
                    - at
                  description: >-
                    Optional schedule configuration. Use to schedule a call at a
                    specific time, and optionally to bypass dialing window
                    restrictions. Setting a schedule will override any existing
                    schedule for the contact and agent.
      responses:
        '200':
          description: Call scheduled successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  contact_id:
                    type: string
                    format: uuid
                  loop_id:
                    type: string
                    format: uuid
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: 'API key must be provided as: Bearer <api_key>'
      x-bearer-format: Bearer

````